# HalogenOS Image Builder

This repository is the primary set of instrumentation used to build and distribute signed updates and installation images for HalogenOS.

## What is it?

This repo holds a set of files necessary for creating bootable HalogenOS images. This includes:

- A Docker Compose file, defining a Gentoo build environment and a web server for distribution
- Scripts that build, sign, and distribute HalogenOS images
- Package lists
- Configuration files
- Submodules that contain code for binaries

These files allow a server to build a working image, sign it with a release key, and distribute it to clients running HalogenOS configured to update from that server. Performing updates on the server side allows for easier testing, development, and reproducibility, while removing complexity and performance demands from clients.
